# MCF-Objects

Se trata de una librería para la gestión de objetos que añade tipos estáticos y objetos basados en clases.

Admite los siguientes tipos básicos:
  - String
  - Number
  - Boolean
  - Array
  - Enum

  Mediante la definición de los objetos estáticos se pueden establecer límites a los valores, listas de valores permitidos...

## Entorno de desarrollo

La bibioteca se transpila usando `babel` y se compila con `webpack`.

El entorno de desarrollo se levanta ejecutando `npm run start` y se puede acceder a él en http://localhost:9000 para ver el funcionamiento durante el desarrollo.

## Despliegue

Para el despliege a producción, debe subirse el proyecto a un repositorio `git`. Para poder trabajar con diferentes versiones de la biblioteca se emplean tags de git, por lo que una vez que se considera terminada una nueva versión de la misma sería necesario generar un nuevo tag de git con el número de la versión:
```sh
v0.1.3
```

## Arquitectura

El código de la aplicación se encuentra condensado en el archivo `index.js`, el cual exporta la clase definedObject.

El constructor de clase lee la definición pasada como argumento cuando crea una instancia de clase y efectúa las verificaciones necesarias antes de devolver dicha instancia.